/* Name: db_dummy.c                                                          **
**                                                                           **
**                                                                           **
** Funktion: Datenbankschnittstellendummy fuer C-Anwendungen                 **
**                                                                           **
** Aufruf: --                                                                **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 05.03.1996                                                      **
** Zuletzt bearbeitet: 06.03.1996                                            */

/* ------------------------------------------------------------------------- */


/* Include-Dateien                                                           */

#include "db_iface.h"

#include "constant.h"

/* Schnittstellenfunktionen                                                  */

/* db_connect: Herstellen einer Verbindung zum DB-Server                     */

int db_connect(connect0, user0, passwd0, server0)
char* connect0; 
char* user0;
char* passwd0; 
char* server0;
{
  return RETURNEXIT;
}

/* db_disconnect: Loesen einer Verbindung zum DB-Server                      */

int db_disconnect(connect0)
char* connect0;
{
  return RETURNEXIT;
}

/* db_declare_cursor: Deklarieren eines Kursors fuer eine SELECT-Anweisung   */

int db_declare_cursor(connect0, cursor0, select0)
char* connect0;
int cursor0;
char* select0;
{
  return RETURNERROR;
}

/* db_open_cursor: Oeffnen eines zuvor deklarierten Kursors                  */

int db_open_cursor(connect0, cursor0)
char* connect0;
int cursor0;
{
  return RETURNERROR;
}


/* db_fetch: Lesen der Daten aus der aktuellen Position des Kursors,         */
/*           Erhoehen der Kursorposition um eins                             */

int db_fetch(connect0, cursor0, column0, result0)
char* connect0;
int cursor0;
int column0;
char** result0;
{
  return RETURNERROR;
}

/* db_close_cursor: Schliessen eines Kursors                                 */

int db_close_cursor(connect0, cursor0)
char* connect0;
int cursor0;
{
  return RETURNERROR;
}
