/* Name: textif.h                                                            **
**                                                                           **
**                                                                           **
** Funktion: Deklaration der Klasse TextInterface, die eine Benutzerschnitt- **
**           stelle im Textmodus bereitstellt                                **
**                                                                           **
** Aufruf: -- (Einbindung in ObjC-Dateien ueber #import bzw. #include)       **
**                                                                           **
** Probleme:                                                                 **
**                                                                           **
** Erstellt: 19.10.1995                                                      **
** Zuletzt bearbeitet: 06.03.1996                                            */

/* ------------------------------------------------------------------------- */


#ifndef TEXTIF_H
#define TEXTIF_H

/* Include-Dateien                                                           */

#include <objc/Object.h>

#include "textexec.h"

/* Konstanten- und Typdefinitionen                                           */

#define MENUMAIN 0
#define MENU1 1
#define MENU2 2
#define MENU3 3
#define MENU4 4
#define MENU5 5
#define MENU6 6

/* Deklarierte Klassen                                                       */

@class TextInterface;

/* Klasse: TextInterface                                                     */

@interface TextInterface : Object
{
  char *usrInput;
  char *action;
}

+ new;
+ alloc;
- init;
- (char*)getAction;
- (int)menuSelector:(int)menu0;
- (int)mainMenu;
- (int)menu2;
- (int)menu3;
- (int)menu6;
- free;

@end

#endif
